#include "hardware.h"
#include "gpio.h"

void led_blink(int times)
{
	int i;
	volatile int j;

	for (i=0;i<times;i++) {
		GPIOClear(LED_2);
		for (j=0;j<300000;j++)
			;
		GPIOSet(LED_2);
		for (j=0;j<300000;j++)
			;
	}
}

int main(void)
{
	LPC_GPIO0->DIR |= LED_1_PIN|LED_2_PIN;

	while(1) {
		if (GPIOGet(JOY_OK)==0)
			GPIOClear(LED_1);
		else
			GPIOSet(LED_1);

		if (GPIOGet(JOY_U)==0) {
			led_blink(1);
			while (GPIOGet(JOY_U)==0);
		}
		if (GPIOGet(JOY_D)==0) {
			led_blink(2);
			while (GPIOGet(JOY_D)==0);
		}
		if (GPIOGet(JOY_L)==0) {
			led_blink(3);
			while (GPIOGet(JOY_L)==0);
		}
		if (GPIOGet(JOY_R)==0) {
			led_blink(4);
			while (GPIOGet(JOY_R)==0);
		}
	}
	return 0;
}
